This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 993191 - racoon2: FTBFS in rawhide
racoon2: FTBFS in rawhide
Status: CLOSED DUPLICATE of bug 914426
Product: Fedora
Classification: Fedora
Component: racoon2 (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 12:53 EDT by Dennis Gilmore
Modified: 2013-10-03 05:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 05:49:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 12:53:24 EDT
Your package racoon2 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5765628

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Petr Pisar 2013-08-06 06:57:01 EDT
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  -DENABLE_SECURE -Wall -Wmissing-prototypes -Wmissing-declarations -g -O -I/usr/include  -DINET6=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDARG_H=1 -DENABLE_NATT=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_STRFTIME=1 -DHAVE_VPRINTF=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MKTIME=1 -DHAVE_SOCKET=1 -DHAVE_STRDUP=1 -DHAVE_STRERROR=1 -DHAVE_STRTOL=1 -DHAVE_GETIFADDRS=1 -DHAVE_ATOLL=1 -DHAVE_OPENSSL_EVP_H=1  -DRACOON2_CONFIG_DIR=\"/etc/racoon2\" -DCF_DEBUG -c cftoken.c
<stdout>:1407:11: error: conflicting types for 'yyget_leng'
cftoken.l:56:12: note: previous declaration of 'yyget_leng' was here
 extern int yyget_leng (void);

yacc incompatibility?
Comment 2 Fedora End Of Life 2013-09-16 11:54:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Petr Pisar 2013-10-03 05:49:48 EDT

*** This bug has been marked as a duplicate of bug 914426 ***

Note You need to log in before you can comment on or make changes to this bug.